using System;

namespace Nesusedni
{
    class Program
    {
        static void Main(string[] args)
        {
            string str = Console.ReadLine();
            char c1 = str[0];
            char c2 = str[1];
            string[] niz = Console.ReadLine().Split();
            int a1 = int.Parse(niz[0]);
            int a2 = int.Parse(niz[1]);
            string resenje = c1 + "" + c2;
            string pomocni = c2 + "" + c1;
            if(a1==a2)
            {
                for(int i = 0;i<a1-1;i++)
                {
                    resenje = resenje + resenje;
                }
                Console.WriteLine(resenje);
            }
            else if(a1 == a2+1)
            {
                for(int i = 0;i<a2-1;i++)
                {
                    resenje = resenje + resenje;
                }
                resenje = resenje + c1;
                Console.WriteLine(resenje);
            }
            else if (a2 == a1 + 1)
            {
                for (int i = 0; i < a1 - 1; i++)
                {
                    pomocni = pomocni + pomocni;
                }
                pomocni = pomocni + c2;
                resenje = pomocni;
                Console.WriteLine(resenje);
            }
            else
            {
                Console.WriteLine("nemoguce");
            }
        }
    }
}